## GESTrackFileSource

GESTrackFileSource — outputs a single media stream from a given file

## Synopsis

    #include <ges/ges.h>

                        GESTrackFileSource;
    GESTrackFileSource *  ges_track_filesource_new          (gchar *uri);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTrackObject
                   +----GESTrackSource
                         +----GESTrackFileSource

## Properties

      "uri"                      gchar*                : Read / Write / Construct Only

## Description

Outputs a single media stream from a given file. The stream chosen depends on the type of the track which contains the object.

## Details

### GESTrackFileSource

    typedef struct _GESTrackFileSource GESTrackFileSource;

### ges_track_filesource_new ()

    GESTrackFileSource *  ges_track_filesource_new          (gchar *uri);

Creates a new GESTrackFileSource for the provided `uri`.

`uri` : | the URI the source should control
Returns : | The newly created GESTrackFileSource, or `NULL` if there was an error.

## Property Details

### The `"uri"` property

      "uri"                      gchar*                : Read / Write / Construct Only

The location of the file/resource to use.

Default value: NULL